<!--
If you take another look at the <form> tag in your view, you can see that its method
attribute is set to POST . Moreover, the <form> doesn’t declare an action attribute. This
means that when the form is submitted, the browser will gather up all the data in the
form and send it to the server in an HTTP POST request to the same path for which a
GET request displayed the form—the /design path. in DesignKababController.java
 -->
<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Kebab Cloud</title>
    <link rel="stylesheet" th:href="@{/styles.css}" />
</head>
<body>
<h1>Design your Kabab!</h1>
<img th:src="@{/images/KebabCloud.jpeg}"/>
<form method="POST" th:object="${kebabDesign}">  <!-- model.addAttribute("kebabDesign", new Kebab()); -->

    <span class="validationError"
          th:if="${#fields.hasErrors('ingredients')}"
          th:errors="*{ingredients}">Ingredient Error</span>
    <div class="grid">
        <div class="ingredient-group" id="wraps">
            <h3>Designate your wrap:</h3>
            <div th:each="ingredient : ${wrap}">
                <input name="ingredients"  type="checkbox" th:value="${ingredient.id}"
                />
                <span th:text="${ingredient.name}">INGREDIENT</span><br/>
            </div>
        </div>
        <div class="ingredient-group" id="proteins">
            <h3>Pick your protein:</h3>
            <div th:each="ingredient : ${protein}">
                <input name="ingredients"  type="checkbox" th:value="${ingredient.id}"
                />
                <span th:text="${ingredient.name}">INGREDIENT</span><br/>
            </div>
        </div>
        <div class="ingredient-group" id="cheeses">
            <h3>Choose your cheese:</h3>
            <div th:each="ingredient : ${cheese}">

                <input name="ingredients"  type="checkbox" th:value="${ingredient.id}"
                />
                <span th:text="${ingredient.name}">INGREDIENT</span><br/>
            </div>
        </div>
        <div class="ingredient-group" id="veggies">
            <h3>Determine your veggies:</h3>
            <div th:each="ingredient : ${veggies}">
                <input name="ingredients"  type="checkbox" th:value="${ingredient.id}"
                />
                <span th:text="${ingredient.name}">INGREDIENT</span><br/>
            </div>
        </div>
        <div class="ingredient-group" id="sauces">
            <h3>Select your sauce:</h3>
            <div th:each="ingredient : ${sauce}">
                <input name="ingredients"  type="checkbox" th:value="${ingredient.id}"
                />
                <span th:text="${ingredient.name}">INGREDIENT</span><br/>
            </div>
        </div>
    </div>
    <div>
        <h3>Name your Kebab creation:</h3>
        <input type="text" th:field="*{name}"/>    <!-- kebabDesign.name-->
        <span class="validationError"
              th:if="${#fields.hasErrors('name')}"
              th:errors="*{name}">name Error</span>
        <br/>
        <br/>
        <button>Submit your Kebab</button>
    </div>
</form>
</body>
</html>